> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Calendar Event Info

> Use this endpoint to get information about a specific calendar event.

## OpenAPI

````json GET /api/v1/calendar-events.info
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Miscellaneous"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "paths": {
    "/api/v1/calendar-events.info": {
      "get": {
        "summary": "Get Calendar Event Info",
        "tags": [
          "Calendar Events"
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "event": {
                      "type": "object",
                      "properties": {
                        "_id": {
                          "type": "string"
                        },
                        "uid": {
                          "type": "string"
                        },
                        "startTime": {
                          "type": "string"
                        },
                        "endTime": {
                          "type": "string"
                        },
                        "subject": {
                          "type": "string"
                        },
                        "description": {
                          "type": "string"
                        },
                        "meetingUrl": {
                          "type": "string",
                          "nullable": "true"
                        },
                        "reminderMinutesBeforeStart": {
                          "type": "integer"
                        },
                        "reminderTime": {
                          "type": "string"
                        },
                        "notificationSent": {
                          "type": "boolean"
                        },
                        "_updatedAt": {
                          "type": "string"
                        }
                      }
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "event": {
                        "_id": "690b02874e7e8bcf6985b27a",
                        "uid": "C38WSSzrGd2NCjzqJ",
                        "startTime": "2025-03-26T07:17:00Z",
                        "endTime": "2025-03-26T07:18:00Z",
                        "subject": "Subject8",
                        "description": "Description8",
                        "meetingUrl": null,
                        "reminderMinutesBeforeStart": "10",
                        "reminderTime": "2025-03-26T07:07:00Z",
                        "notificationSent": "false",
                        "_updatedAt": "2025-11-05T07:53:43.42Z"
                      },
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    },
                    "errorType": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "success": "false",
                      "error": "must have required property 'id' [invalid-params]",
                      "errorType": "invalid-params"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          }
        },
        "operationId": "get-api-v1-calendar-events.info",
        "description": "Use this endpoint to get information about a specific calendar event.",
        "parameters": [
          {
            "$ref": "#/components/parameters/Auth-Token"
          },
          {
            "$ref": "#/components/parameters/UserId"
          },
          {
            "schema": {
              "type": "string",
              "example": "6909b8ea4e7e8bcf6985b1a8"
            },
            "in": "query",
            "name": "id",
            "description": "Enter the event ID.",
            "required": "true"
          }
        ]
      }
    }
  },
  "components": {
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    },
    "parameters": {
      "Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "description": "The `authToken` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
      },
      "UserId": {
        "name": "X-User-Id",
        "in": "header",
        "description": "The `userId` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "rbAXPnMktTFbNpwtJ"
      }
    }
  }
}
````

